post
https://api.instantpay.in/identity/verifyUan
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| uanNumber | String | Mandatory | Customer EPFO UAN Number |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
| externalRef | String | Mandatory | Your Unique Transaction id |
| consent | String | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/verifyUan' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
"uanNumber": "100123456789",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"consent" : "Y"
}'POST /identity/verifyUan HTTP/2.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"uanNumber":"100123456789",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"consent" : "Y"
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | It will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"uanDetails": {
"personal_details": {
"userGender": "FEMALE",
"userDob": "01-01-2000",
"userFullName": "John Doe",
"userPhoneNumber": null
},
"employment_details": {
"isEmployed": true,
"dateOfExitMarked": false,
"uanList": [
"100123456789"
],
"uanCount": 1,
"recentEmployerData": {
"memberId": "GGBNG12345670000012345",
"establishmentId": "DSNHP1380XXXXXX",
"dateOfExit": null,
"dateOfJoining": "01-01-2000,
"establishmentName": "ABC DEMO",
"uanNumber": "100123456789"
},
"previousEmployerData": [
{
"sequenceNumber": "1",
"uanNumber": "100123456789",
"dateOfExit": null,
"dateOfJoining": "01-01-2000",
"establishmentId": "DSNHP1380XXXXX",
"establishmentName": "ABC DEMO",
"memberId": "DSNHP13800300001XXXXXX",
"leaveReason": null,
"mobile": null,
"aadhaarVerificationStatus": ""
}
]
}
},
"poolReferenceId": "1000987654321EZFJY",
"pool": {
"openingBal": "5.41",
"mode": "DR",
"amount": "0.00",
"closingBal": "5.41"
}
},
"timestamp": "2025-01-21 10:50:46",
"ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
"orderid": "1000987654321EZFJY",
"environment": "LIVE",
"internalCode": null
}
